#ifndef PLOG_EXPORT_H__
#define PLOG_EXPORT_H__

#define EXPLOG_REDUCTION_RATIO	(1)

#define EXPLOG_AUXILIARY2	(0x40)
#define EXPLOG_AUXILIARY1	(0x20)
#define EXPLOG_TRACKING		(0x10)
#define EXPLOG_ACQUIRED		(0x08)
#define EXPLOG_SCANNING		(0x04)
#define EXPLOG_TRANSITED	(0x02)
#define EXPLOG_CELESTIAL	(0x01)

struct plogent_export
{
    int epoch;			/* UTC modified Julian day at midnight */
    int ticks;			/* Number of 10 msec ticks from midnight */
    int flags;			/* Various flags */
    int sidereal_time;		/* Local apparent sidereal time (10 msec) */
    int right_ascension;	/* Right ascension (10 msec) */
    int declination;		/* Declination (100 mas) */
    int parallactic_angle;	/* Parallactic angle (100 mas) */
    int x_offset;		/* Offset in X (100 mas) */
    int y_offset;		/* Offset in Y (100 mas) */
    int azimuth;		/* Azimuth (100 mas) */
    int elevation;		/* Elevation (100 mas) */
    int azimuth_error;		/* Error in azimuth (100 mas) */
    int elevation_error;	/* Error in elevation (100 mas) */
};

#endif /* !PLOG_EXPORT_H__ */
